Bug 245660 - net/megatools: Update to 1.10.3
Summary: net/megatools: Update to 1.10.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Hiroki Tagato
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-04-16 07:41 UTC by Max Kostikov
Modified: 2020-06-07 02:00 UTC (History)
1 user (show)

See Also:


Attachments
megatools update to 1.10.3 (988 bytes, patch)
2020-04-16 07:41 UTC, Max Kostikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Kostikov 2020-04-16 07:41:57 UTC
Created attachment 213456 [details]
megatools update to 1.10.3

megadl: Add support for new link formats
Comment 1 Automation User 2020-04-16 07:53:00 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/136573496
Comment 2 Hiroki Tagato freebsd_committer 2020-04-29 07:46:12 UTC
Hi,

There is DOCS option defined in the Makefile. However, a target for document installation seems missing. Would you like to add one?
Comment 3 Max Kostikov 2020-04-29 08:20:39 UTC
(In reply to Hiroki Tagato from comment #2)
I've just checked this a see no issues with docs installation.
Without DOCS option nothing installed, with everything in rights places

 /bin/mkdir -p '/usr/home/xm/megatools/work/stage/usr/local/share/doc/megatools'
 install  -m 0644 LICENSE NEWS TODO README INSTALL HACKING '/usr/home/xm/megatools/work/stage/usr/local/share/doc/megatools'
 /bin/mkdir -p '/usr/home/xm/megatools/work/stage/usr/local/man/man1'
 install  -m 0644 docs/megadf.1 docs/megadl.1 docs/megaget.1 docs/megals.1 docs/megamkdir.1 docs/megaput.1 docs/megareg.1 docs/megarm.1 docs/megacopy.1 '/usr/home/xm/megatools/work/stage/usr/local/man/man1'
 /bin/mkdir -p '/usr/home/xm/megatools/work/stage/usr/local/man/man5'
 install  -m 0644 docs/megarc.5 '/usr/home/xm/megatools/work/stage/usr/local/man/man5'
 /bin/mkdir -p '/usr/home/xm/megatools/work/stage/usr/local/man/man7'
 install  -m 0644 docs/megatools.7 '/usr/home/xm/megatools/work/stage/usr/local/man/man7'
Comment 4 Hiroki Tagato freebsd_committer 2020-04-29 11:24:45 UTC
(In reply to Max Kostikov from comment #3)

Thanks for checking! I'm now looking into this port.
Comment 5 commit-hook freebsd_committer 2020-04-30 07:15:39 UTC
A commit references this bug:

Author: tagattie
Date: Thu Apr 30 07:15:20 UTC 2020
New revision: 533413
URL: https://svnweb.freebsd.org/changeset/ports/533413

Log:
  - Update to 1.10.3
  - Make portclippy happy

  PR:		245660
  Submitted by:	Max Kostikov <max@kostikov.co> (maintainer)
  Approved by:	ehaupt (mentor)
  Changelog:	https://megatools.megous.com/builds/NEWS

Changes:
  head/net/megatools/Makefile
  head/net/megatools/distinfo
Comment 6 Hiroki Tagato freebsd_committer 2020-04-30 07:16:23 UTC
Committed, thanks!